## pyqt5 5.0.1

=== debian/changelog ===
pyqt5 (5.0.1-1ubuntu1) saucy; urgency=low

  * Build QML plugin only for the default Python version (closes: #720679).

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Wed, 09 Oct 2013 18:03:28 +0400

pyqt5 (5.0.1-1) experimental; urgency=low

  * New upstream release.
  * Bump python3-sip-dev build-dependency to 4.15.
  * Drop all previous patches, applied upstream.
  * Add new package, python3-pyqt5.qtquick, containing QtQuick and QtQml
    extensions.
  * Install QtMultimediaWidgets extension.
  * Make pyqt5-doc recommend python3-pyqt5, because of the examples.
  * Add a patch to support multiarch locations of libpython.
  * Workaround useless warnings from dh_install --list-missing.

 -- Dmitry Shachnev <mitya57@gmail.com>  Thu, 22 Aug 2013 11:00:35 +0400

pyqt5 (5.0-3) unstable; urgency=low

  * Upload to unstable
  * Set X-Python3-Version back to >= 3.2 as the work-around is not longer
    neeeded (python3.2 is no longer supported in unstable)

 -- Scott Kitterman <scott@kitterman.com>  Mon, 12 Aug 2013 19:49:25 -0400

pyqt5 (5.0-2) experimental; urgency=low

  [ Dmitry Shachnev ]
  * Update debian/copyright, thanks Paul Tagliamonte for comments.
  * Use xz compression for binary packages.
  * Install files to python3-dbus.mainloop.pyqt5{,-dbg} directly instead of
    generating .install files. This fixes a problem of the -dbg package being
    not installable because of unwanted debug-id files (closes: #718551).

  [ Scott Kitterman ]
  * Add debian/patches/arm_compile.patch, cherry picked from upstream to
    enable builds on arm (replaces qreal_float_support.diff that was used in
    python-qt4)
  * Remove pycache directories left over in pyqt5-doc

 -- Scott Kitterman <scott@kitterman.com>  Fri, 09 Aug 2013 17:44:19 -0400

pyqt5 (5.0-1) experimental; urgency=low

  [ Dmitry Shachnev ]
  * Initial release, based on python-qt4 packaging (closes: #712630).
  * debian/patches/mainloop_rename.diff: upstream patch to rename
    dbus.mainloop.qt module to dbus.mainloop.pyqt5, to prevent conflicts
    with PyQt4.

  [ Scott Kitterman ]
  * Add call to dh_installdocs in debian/rules
  * Added doc-base registration, debian/pyqt5-doc.doc-base
  * Remove empty pyqt5-doc/examples/webkit/googlechat directory
  * Add debian/pyqt5-doc.links to replace embedded copy of jquery.min.js in
    the fancybrowser example with a symlink to the existing copy in the html
    documentation
  * Add debian/patches/fix-example-shebang to remove a buggy and unneeded
    shebang in examples/sql/connection.py
  * Set X-Python3-Version: >= 3.3 in debian/control as a temporary workaround
    to a dh_python3 issue with extension renaming

 -- Dmitry Shachnev <mitya57@gmail.com>  Sat, 28 Jul 2013 13:15:13 +0400
