=== debian/control ===
Source: pyqt5
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Dmitry Shachnev <mitya57@gmail.com>,
           Scott Kitterman <scott@kitterman.com>
Build-Depends: dpkg-dev (>= 1.16.1~),
               debhelper (>= 9),
               libicu-dev,
               libdbus-1-dev (>= 1.0.2),
               libpulse-dev,
               libqt5opengl5-dev,
               libqt5webkit5-dev,
               libglib2.0-dev,
               libxml2-dev,
               libgstreamer0.10-dev,
               libgstreamer-plugins-base0.10-dev,
               libsqlite3-dev,
               libxslt1-dev,        
               qtmultimedia5-dev,
               qtdeclarative5-dev,
               qttools5-dev,
               libqt5svg5-dev,
               libqt5xmlpatterns5-dev,
               python-dbus-dev,
               python3-all-dbg,
               python3-all-dev (>= 3.2.3-6~),
               python3-dbus,
               python3-dbus-dbg,
               python3-sip-dbg,
               python3-sip-dev (>= 4.15),
               python3-sphinx
X-Python3-Version: >= 3.2
Standards-Version: 3.9.4
Homepage: http://www.riverbankcomputing.co.uk/software/pyqt/
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/pyqt5/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/pyqt5/trunk/

Package: python3-pyqt5
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}, ${sip3:Depends}
Suggests: python3-pyqt5-dbg
Description: Python 3 bindings for Qt5
 PyQt5 exposes the Qt5 API to Python 3. This package contains the following
 modules:
  * QtCore
  * QtDBus
  * QtDesigner
  * QtGui
  * QtHelp
  * QtNetwork
  * QtPrintSupport
  * QtTest
  * QtWidgets

Package: python3-pyqt5-dbg
Priority: extra
Section: debug
Architecture: any
Depends: python3-dbg,
         python3-pyqt5 (= ${binary:Version}),
         python3-sip-dbg,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Python 3 bindings for Qt5 (debug extensions)
 PyQt5 exposes the Qt5 API to Python 3.
 .
 This package contains the extensions built for the Python 3 debug interpreter.

Package: python3-dbus.mainloop.pyqt5
Architecture: any
Depends: python3-dbus,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: D-Bus Support for PyQt5 with Python 3
 The D-Bus module of PyQt5 provides integration of PyQt5 applications
 with the D-Bus main loop for Python 3.

Package: python3-dbus.mainloop.pyqt5-dbg
Architecture: any
Priority: extra
Section: debug
Depends: python3-dbg,
         python3-dbus-dbg,
         python3-dbus.mainloop.pyqt5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: D-Bus Support for PyQt5 (debug extensions for Python 3)
 The D-Bus module of PyQt5 provides integration of PyQt5 applications
 with the D-Bus main loop for Python 3.
 .
 This package contains the extensions built for the Python 3 debug interpreter.

Package: python3-pyqt5.qtopengl
Architecture: any
Depends: python3-pyqt5 (= ${binary:Version}),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Python 3 bindings for Qt5's OpenGL module
 The OpenGL module of PyQt5 provides widgets and utility classes
 for OpenGL rendering in a PyQt5 application.

Package: python3-pyqt5.qtopengl-dbg
Priority: extra
Section: debug
Architecture: any
Depends: python3-dbg,
         python3-pyqt5-dbg (= ${binary:Version}),
         python3-pyqt5.qtopengl (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Python 3 bindings for Qt5's OpenGL module (debug extension)
 The OpenGL module of PyQt5 provides widgets and utility classes
 for OpenGL rendering in a PyQt5 application.
 .
 This package contains the extension built for the Python 3 debug interpreter.

Package: python3-pyqt5.qtsql
Architecture: any
Depends: python3-pyqt5 (= ${binary:Version}),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Python 3 bindings for Qt5's SQL module
 The SQL module of PyQt5 provides widgets and utility classes for
 Python 3 SQL database access.

Package: python3-pyqt5.qtsql-dbg
Priority: extra
Section: debug
Architecture: any
Depends: python3-dbg,
         python3-pyqt5-dbg (= ${binary:Version}),
         python3-pyqt5.qtsql (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Python 3 bindings for Qt5's SQL module (debug extension)
 The SQL module of PyQt5 provides widgets and utility classes for
 Python 3 SQL database access.
 .
 This package contains the extension built for the Python 3 debug interpreter.

Package: python3-pyqt5.qtwebkit
Architecture: any
Depends: python3-pyqt5 (= ${binary:Version}),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Python 3 bindings for Qt5's WebKit module
 The WebKit module of PyQt5 provides a Web browser engine that makes it easy
 to embed HTML content into your PyQt application.

Package: python3-pyqt5.qtwebkit-dbg
Priority: extra
Section: debug
Architecture: any
Depends: python3-dbg,
         python3-pyqt5-dbg (= ${binary:Version}),
         python3-pyqt5.qtwebkit (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Python 3 bindings for Qt5's WebKit module (debug extensions)
 The WebKit module of PyQt5 provides a Web browser engine that makes it easy
 to embed HTML content into your PyQt application.
 .
 This package contains the extensions built for the Python 3 debug interpreter.

Package: python3-pyqt5.qtxmlpatterns
Architecture: any
Depends: python3-pyqt5 (= ${binary:Version}),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Python 3 bindings for Qt5's XmlPatterns module
 QtXmlPatterns is a XQuery and XPath engine for XML and custom data models.
 This package provides a PyQt binding for QtXmlPatterns.

Package: python3-pyqt5.qtxmlpatterns-dbg
Priority: extra
Section: debug
Architecture: any
Depends: python3-dbg,
         python3-pyqt5-dbg (= ${binary:Version}),
         python3-pyqt5.qtxmlpatterns (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Python 3 bindings for Qt5's XmlPatterns module (debug extension)
 QtXmlPatterns is a XQuery and XPath engine for XML and custom data models.
 This package provides a PyQt binding for QtXmlPatterns.
 .
 This package contains the extension built for the Python 3 debug interpreter.

Package: python3-pyqt5.qtsvg
Architecture: any
Depends: python3-pyqt5 (= ${binary:Version}),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Python 3 bindings for Qt5's SVG module
 The SVG module of PyQt5 provides The QtSvg module provides classes for
 displaying the contents of SVG files.

Package: python3-pyqt5.qtsvg-dbg
Priority: extra
Section: debug
Architecture: any
Depends: python3-dbg,
         python3-pyqt5-dbg (= ${binary:Version}),
         python3-pyqt5.qtsvg (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Python 3 bindings for Qt5's SVG module (debug extension)
 The SVG module of PyQt5 provides The QtSvg module provides classes for
 displaying the contents of SVG files.
 .
 This package contains the extension built for the Python 3 debug interpreter.

Package: python3-pyqt5.qtmultimedia
Architecture: any
Depends: python3-pyqt5 (= ${binary:Version}),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Python 3 bindings for Qt5's Multimedia module
 The Multimedia module of PyQt5 provides a set of APIs to play and record
 media, and manage a collection of media content.

Package: python3-pyqt5.qtmultimedia-dbg
Priority: extra
Section: debug
Architecture: any
Depends: python3-dbg,
         python3-pyqt5-dbg (= ${binary:Version}),
         python3-pyqt5.qtmultimedia (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Python 3 bindings for Qt5's Multimedia module (debug extensions)
 The Multimedia module of PyQt5 provides a set of APIs to play and record
 media, and manage a collection of media content.
 .
 This package contains the extensions built for the Python 3 debug interpreter.

Package: python3-pyqt5.qtquick
Architecture: any
Depends: python3-pyqt5 (= ${binary:Version}),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Python 3 bindings for QtQuick module
 The QtQuick module of PyQt5 provides a framework for developing applications
 and libraries with the QML language.

Package: python3-pyqt5.qtquick-dbg
Priority: extra
Section: debug
Architecture: any
Depends: python3-dbg,
         python3-pyqt5-dbg (= ${binary:Version}),
         python3-pyqt5.qtquick (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Python 3 bindings for QtQuick module (debug extension)
 The QtQuick module of PyQt5 provides a framework for developing applications
 and libraries with the QML language.
 .
 This package contains the extensions built for the Python 3 debug interpreter.

Package: pyqt5-dev
Architecture: all
Depends: python3-sip-dev, ${misc:Depends}, ${python3:Depends}
Description: Development files for PyQt5
 This package contains the source SIP files from which the Python
 bindings for Qt5 are created. They are needed for building PyQt5
 as well as creating bindings for own Qt5 widgets written in C++.

Package: pyqt5-doc
Architecture: all
Section: doc
Suggests: qt5-doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Recommends: python3-pyqt5
Description: Documentation and examples for PyQt5
 PyQt5 exposes the Qt5 GUI toolkit in Python.
 .
 This package contains Python-specific documentation for PyQt5 and
 the Qt example programs ported to Python.

Package: pyqt5-dev-tools
Depends: python3,
         python3-pyqt5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Architecture: any
Description: Development tools for PyQt5
 This package contains various support tools for PyQt5 developers:
  * a user interface compiler (pyuic5)
  * a resource file generator (pyrcc5)
  * a translation string finder (pylupdate5)
