=== debian/watch ===
version=3
http://sf.net/pyqt/PyQt-gpl-(.*)\.tar\.gz debian uupdate
