## pyqt5 5.2.1%2Bdfsg

=== debian/changelog ===
pyqt5 (5.2.1+dfsg-1ubuntu2) trusty; urgency=medium

  * Backport a change from upstream 5.2-maint branch to fix conversion
    of QStrings with surrogate pairs (fix_qstring_conversion.patch).
    Fixes LP: #1654840.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sun, 08 Jan 2017 13:56:58 +0300

pyqt5 (5.2.1+dfsg-1ubuntu1) trusty; urgency=medium

  * Merge with Debian experimental, remaining changes:
    - Add new package for QtPositioning module.
    - Add a patch to build against QtWebKit 5.1.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 21 Mar 2014 10:56:57 +0400

pyqt5 (5.2.1+dfsg-1) experimental; urgency=medium

  * New upstream bugfix release.
  * Drop all patches, applied upstream.
  * Bump python3-sip-dev build-dependency to 4.15.5.
  * Update licensing information for pylupdate and pyrcc modules.

 -- Dmitry Shachnev <mitya57@gmail.com>  Tue, 11 Mar 2014 12:45:18 +0400

pyqt5 (5.2+dfsg-4ubuntu3) trusty; urgency=medium

  * debian/patches/build_against_qtwebkit_5_1.patch:
    - Dropping features that are only available in qtwebkit 5.2, so we
      can build it against qtwebkit 5.1 (can be dropped once qtwebkit
      5.2 gets published).

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Fri, 14 Mar 2014 00:25:24 -0300

pyqt5 (5.2+dfsg-4ubuntu2) trusty; urgency=medium

  * No-change rebuild against QtWebkit 5.1.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 14 Mar 2014 01:02:38 +0000

pyqt5 (5.2+dfsg-4ubuntu1) trusty; urgency=medium

  * Add new package for QtPositioning module.
    As a side-effect, this fixes a build failure.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Thu, 06 Mar 2014 17:14:08 +0400

pyqt5 (5.2+dfsg-4) unstable; urgency=medium

  * Build-depend on libqt5x11extras5-dev instead of libqt5x11extras-dev,
    which is now a transitional package.
  * Drop QMAKESPEC export, seems to be not needed anymore.
  * Drop hack for alpha, it is no longer supported and qtwebkit is
    not built there anyway.
  * Backport upstream patch to fix licensing for dbus module.
  * Update debian/copyright to use the machine-readable DEP-5 format.

 -- Dmitry Shachnev <mitya57@gmail.com>  Mon, 10 Feb 2014 09:24:20 +0400

pyqt5 (5.2+dfsg-3) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Medium urgency for auto-qtbase-opensource-src transition
  * No longer create sip symlinks in build directories, that does not
    have any effect.
  * debian/patches/fix_qreal_check.diff: Fix qreal check for Qt 5.2.
  * Adjust dh_compress call to make exclude list not match the whole
    pyqt5-examples package.

  [ Scott Kitterman ]
  * Update QMAKESPEC definition in debian/rules for new location (Thanks to
    Lisandro Damián Nicanor Pérez Meyer for the fix)

 -- Dmitry Shachnev <mitya57@gmail.com>  Fri, 31 Jan 2014 20:03:53 +0400

pyqt5 (5.2+dfsg-2) unstable; urgency=low

  [ Dmitry Shachnev ]
  * Add new package for QtX11Extras module.
  * Autopkgtest improvements:
    - Make import autopkgtest depend on python3-all.
    - Don’t set -x in import autopkgtest.
    - Test QtDBus and QtX11Extras modules as well.
  * Split examples into their own package, pyqt5-examples.
  * Rename qpair_old_qt.diff to old_qt.diff, and include a fix for
    QtX11Extras module.

  [ Scott Kitterman ]
  * Update debian/copyright for 2014 references

 -- Dmitry Shachnev <mitya57@gmail.com>  Sun, 19 Jan 2014 12:05:05 +0400

pyqt5 (5.2+dfsg-1) unstable; urgency=low

  * Upload to unstable.
  * New upstream release.
  * Drop all patches, applied upstream.
  * Backport a patch (qpair_old_qt.diff) to fix building against
    Qt 5.1.
  * Bump required sip version to 4.15.4.
  * Bump Standards-Version to 3.9.5, no changes needed.
  * Add XS-Testsuite header for autopkgtest.

 -- Dmitry Shachnev <mitya57@gmail.com>  Thu, 09 Jan 2014 11:48:59 +0400

pyqt5 (5.1.1+dfsg-3) experimental; urgency=low

  * Upload to experimental to build against Qt 5.2.
  * Backport upstream patch (gluint64.sip) to disable GLuint64 on GL ES.
  * Symlink duplicate files in examples using fdupes.
  * Add an autopkgtest to make sure all packages are co-installable
    and all modules are importable.
  * Temporary build-depend on libudev-dev on Linux to workaround qmake
    bug that adds -ludev when building QtSerialPort test code.

 -- Dmitry Shachnev <mitya57@gmail.com>  Sun, 22 Dec 2013 11:13:52 +0400

pyqt5 (5.1.1+dfsg-2) unstable; urgency=low

  * Add pyqt5.qtopengl-dbg Breaks/Conflicts to fix file overwrite error
    (Closes: #729737)

 -- Scott Kitterman <scott@kitterman.com>  Sat, 16 Nov 2013 16:42:07 -0500

pyqt5 (5.1.1+dfsg-1) unstable; urgency=low

  * New upstream bugfix release.
  * Add debian/get-orig-source.sh and explain how to use it in
    README.source; add jquery_rc.py to list of non-free files.
  * Use dh_link for linking jquery.js in examples.
  * Install QOpenGLFunctions libraries in python3-pyqt5.qtopengl package.
  * Call dh_install with --fail-missing option.
  * Do not install Windows-specific activeqt examples.
  * Add new packages for QtSerialPort and QtSensors modules.
  * Make sure dpkg build flags are actually applied.
  * Backport upstream patch to always apply passed qmake variables.
  * Pass --debug option to configure.py when doing debug builds.
  * Link with --as-needed.
  * Simplify install code in debian/rules.

 -- Dmitry Shachnev <mitya57@gmail.com>  Sat, 09 Nov 2013 14:26:40 +0400

pyqt5 (5.1+dfsg-1) unstable; urgency=low

  [ Scott Kitterman ]
  * New upstream release
  * Install designer plugin in python3-pyqt5
  * Move debug version of libpyqt5qmlplugin.so from python3-pyqt5-dbg to
    python3-pyqt5.qtquick-dbg to match the regular file and avoid duplication
    (Closes: #720679)
  * Remove debian/patches/libpython_multiarch.diff, equivalent change
    incorporated upstream (and debian/patches directory since there are no
    other patches)
  * Add README.source to document how to make DFSG tarball

  [ Dmitry Shachnev ]
  * Delete pycache directories in clean target.

