=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg// \
http://sf.net/pyqt/PyQt-gpl-(.*)\.tar\.gz debian uupdate
