## pyqt5 5.2.1+dfsg

=== debian/control ===
--- 
+++ 
@@ -7,35 +7,42 @@
            Scott Kitterman <scott@kitterman.com>
 Build-Depends: dpkg-dev (>= 1.16.1~),
                debhelper (>= 9),
+               fdupes,
+               libdbus-1-dev (>= 1.0.2),
+               libglib2.0-dev,
+               libgstreamer0.10-dev,
+               libgstreamer-plugins-base0.10-dev,
                libicu-dev,
-               libdbus-1-dev (>= 1.0.2),
                libpulse-dev,
                libqt5opengl5-dev,
+               libqt5sensors5-dev,
+               libqt5serialport5-dev,
+               libqt5svg5-dev,
                libqt5webkit5-dev,
-               libglib2.0-dev,
+               libqt5xmlpatterns5-dev,
+               libqt5x11extras5-dev,
+               libsqlite3-dev,
+               libudev-dev [linux-any],
                libxml2-dev,
-               libgstreamer0.10-dev,
-               libgstreamer-plugins-base0.10-dev,
-               libsqlite3-dev,
-               libxslt1-dev,        
-               qtmultimedia5-dev,
-               qtdeclarative5-dev,
-               qttools5-dev,
-               libqt5svg5-dev,
-               libqt5xmlpatterns5-dev,
-               python-dbus-dev,
+               libxslt1-dev,
                python3-all-dbg,
                python3-all-dev (>= 3.2.3-6~),
                python3-dbus,
                python3-dbus-dbg,
                python3-sip-dbg,
-               python3-sip-dev (>= 4.15),
-               python3-sphinx
+               python3-sip-dev (>= 4.15.5),
+               python3-sphinx,
+               python-dbus-dev,
+               qtdeclarative5-dev,
+               qtmultimedia5-dev,
+               qtlocation5-dev,
+               qttools5-dev
 X-Python3-Version: >= 3.2
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://www.riverbankcomputing.co.uk/software/pyqt/
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/pyqt5/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/pyqt5/trunk/
+XS-Testsuite: autopkgtest
 
 Package: python3-pyqt5
 Architecture: any
@@ -112,6 +119,8 @@
          python3-pyqt5.qtopengl (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
+Breaks: python3-pyqt5-dbg (<< 5.1.1+dfsg-1~)
+Replaces: python3-pyqt5-dbg (<< 5.1.1+dfsg-1~)
 Description: Python 3 bindings for Qt5's OpenGL module (debug extension)
  The OpenGL module of PyQt5 provides widgets and utility classes
  for OpenGL rendering in a PyQt5 application.
@@ -262,40 +271,77 @@
          python3-pyqt5.qtquick (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
+Breaks: python3-pyqt5-dbg (<< 5.0.1-2~)
+Replaces: python3-pyqt5-dbg (<< 5.0.1-2~)
 Description: Python 3 bindings for QtQuick module (debug extension)
  The QtQuick module of PyQt5 provides a framework for developing applications
  and libraries with the QML language.
  .
  This package contains the extensions built for the Python 3 debug interpreter.
 
-Package: pyqt5-dev
-Architecture: all
-Depends: python3-sip-dev, ${misc:Depends}, ${python3:Depends}
-Description: Development files for PyQt5
- This package contains the source SIP files from which the Python
- bindings for Qt5 are created. They are needed for building PyQt5
- as well as creating bindings for own Qt5 widgets written in C++.
-
-Package: pyqt5-doc
-Architecture: all
-Section: doc
-Suggests: qt5-doc
-Depends: ${sphinxdoc:Depends}, ${misc:Depends}
-Recommends: python3-pyqt5
-Description: Documentation and examples for PyQt5
- PyQt5 exposes the Qt5 GUI toolkit in Python.
- .
- This package contains Python-specific documentation for PyQt5 and
- the Qt example programs ported to Python.
-
-Package: pyqt5-dev-tools
-Depends: python3,
-         python3-pyqt5 (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
-Architecture: any
-Description: Development tools for PyQt5
- This package contains various support tools for PyQt5 developers:
-  * a user interface compiler (pyuic5)
-  * a resource file generator (pyrcc5)
-  * a translation string finder (pylupdate5)
+Package: python3-pyqt5.qtserialport
+Architecture: any
+Depends: python3-pyqt5 (= ${binary:Version}),
+         ${misc:Depends},
+         ${python3:Depends},
+         ${shlibs:Depends}
+Description: Python 3 bindings for QtSerialPort module
+ The QtSerialPort module of PyQt5 provides a set of APIs to use serial ports
+ from PyQt applications.
+
+Package: python3-pyqt5.qtserialport-dbg
+Priority: extra
+Section: debug
+Architecture: any
+Depends: python3-dbg,
+         python3-pyqt5-dbg (= ${binary:Version}),
+         python3-pyqt5.qtserialport (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Description: Python 3 bindings for QtSerialPort module (debug extension)
+ The QtSerialPort module of PyQt5 provides a set of APIs to use serial ports
+ from PyQt applications.
+ .
+ This package contains the extension built for the Python 3 debug interpreter.
+
+Package: python3-pyqt5.qtsensors
+Architecture: any
+Depends: python3-pyqt5 (= ${binary:Version}),
+         ${misc:Depends},
+         ${python3:Depends},
+         ${shlibs:Depends}
+Description: Python 3 bindings for QtSensors module
+ The QtSensors module of PyQt5 provides a set of APIs to access sensors
+ hardware from PyQt applications.
+
+Package: python3-pyqt5.qtsensors-dbg
+Priority: extra
+Section: debug
+Architecture: any
+Depends: python3-dbg,
+         python3-pyqt5-dbg (= ${binary:Version}),
+         python3-pyqt5.qtsensors (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Description: Python 3 bindings for QtSensors module (debug extension)
+ The QtSensors module of PyQt5 provides a set of APIs to access sensors
+ hardware from PyQt applications.
+ .
+ This package contains the extension built for the Python 3 debug interpreter.
+
+Package: python3-pyqt5.qtx11extras
+Architecture: any
+Depends: python3-pyqt5 (= ${binary:Version}),
+         ${misc:Depends},
+         ${python3:Depends},
+         ${shlibs:Depends}
+Description: Python 3 bindings for QtX11Extras module
+ The QtX11Extras module of PyQt5 provides an API to access X11-specific
+ information and classes.
+
+Package: python3-pyqt5.qtx11extras-dbg
+Priority: extra
+Section: debug
+Architecture: any
+Depends: python3-dbg,
+         python3-pyqt5-dbg (= ${binary:Version}),
